#
# Conditional build:
%bcond_without	doc			# don't build ri/rdoc

%define pkgname text-format
Summary:	A Ruby port of Text::Format
Summary(pl.UTF-8):	Port Text::Format dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.0.0
Release:	4
License:	GPL
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	7b08f134e605da252c23afedbb481beb
URL:		https://rubygems.org/gems/text-format
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
Provides:	ruby-Text-Format
Obsoletes:	ruby-Text-Format
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Format provides strong text formatting capabilities to Ruby.
Based on Perl's Text::Format 0.52, it offers all of the functionality
of that module and new capabilities besides.

%description -l pl.UTF-8
Text::Format udostępnia potężne możliwości formatowania tekstu w
języku Ruby. Jest oparty na perlowym Text::Format 0.52 i oferuje całą
funkcjonalność tego modułu, a przy okazji nowe funkcje.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}
# tgz

%build
%if %{with doc}
rdoc --inline-source --op rdoc lib
rdoc --ri --op ri lib
rm ri/created.rid
rm ri/cache.ri
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}

%if %{with doc}
install -d $RPM_BUILD_ROOT{%{ruby_ridir},%{ruby_rdocdir}/%{name}-%{version}}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{ruby_vendorlibdir}/text
%{ruby_vendorlibdir}/text/format.rb
%{ruby_vendorlibdir}/text/format

%if %{with doc}
%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Text
%endif
%changelog
* Sun Mar 20 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-text-format.git;a=log;h=master

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 0f340f8
- build noarch; install to vendor dir; add doc bcond

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> d8ef039
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> 278ee49
- ruby 2.0 rebuild
- release 2 (by relup.sh)

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> b87a0b1
- added ri package

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> 510eed2
- up to 1.0.0

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> af05574
- outdated

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> f0f02d8
- renamed ruby-Text-Format -> ruby-text-format

* Fri Apr 06 2007 Marcin Banasiak <marcin.banasiak@gmail.com> e11d11b
- removed BA: noarch; %{ruby_rubylibdir} isn't arch independent
- release 3

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> dd1a3f5
- massive attack: correct ri output path for ruby 1.8.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9d21782
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 292fe19
- converted to UTF-8

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> 1b6febb
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 34027e7
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 3a26859
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Sat Nov 19 2005 Elan Ruusamäe <glen@pld-linux.org> 13e756c
- use system ruby macros
- cleanups, corrections, cosmetics

* Wed May 11 2005 aredridel <aredridel@pld-linux.org> 263ea65
- corrected setup.rb parameters for new version of setup.rb

* Tue May 10 2005 aredridel <aredridel@pld-linux.org> f2d7787
- up to 3.3.1

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> dec378d
- spaces->tabs
- formatting

* Mon Oct 18 2004 Jakub Bogusz <qboosh@pld-linux.org> e68c24a
- pl

* Mon Oct 18 2004 aredridel <aredridel@pld-linux.org> 72ad9e9
- added

